octave-pkg-dev (1.4.2) unstable; urgency=medium

  * octave-pkg-helper: Drop leading newline in parsed description

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Jun 2016 08:45:08 -0300

octave-pkg-dev (1.4.1) unstable; urgency=medium

  * check-pkg: Allow unit testing of class methods.
    This fixes a regression that was introduced when the rules in
    octave-pkg.mk have been transformed into shell scripts.  Thanks to
    Oliver Heimlich for the heads up.
  * octave-pkg-helper: Only parse the DESCRIPTION file when it exists
    (Closes: #826390)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 05 Jun 2016 17:14:33 +0200

octave-pkg-dev (1.4.0) unstable; urgency=medium

  * octave-pkg.mk:
    + Detect unit tests for directives "fail", "xtest", and "warning"
    + Put long shell commands into individual scripts
    + Make all internal rules double-colon
  * make-octave-forge-debpkg.in: Add final newline in debian/source/format
  * Add substvar for automatic inclusion of package description
    + octave-pkg-helper: Get long package description from the DESCRIPTION
      file and store it into the substvar octave:Upstream-Description.
    + make-octave-forge-debpkg.in: Use octave:Upstream-Description.in the
      template for the debian/control file
    + d/control: Build-Depends on libmime-tools-perl (for MIME::Head module)
  * Bump Standards-Version to 3.9.8 (no changes needed)
  * Install symlink for the NEWS file

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 30 May 2016 10:51:00 +0200

octave-pkg-dev (1.3.3) unstable; urgency=medium

  * octave-pkg.mk: Run unit tests in files containing only "%!error" directives
  * d/control:
    - Use secure URIs in the Vcs-* fields
    - Bump Standards-Version to 3.9.7 (no changes needed)

 -- Rafael Laboissiere <rafael@laboissiere.net>  Mon, 15 Feb 2016 13:46:32 +0100

octave-pkg-dev (1.3.2) unstable; urgency=medium

  * make-octave-forge-debpkg.in: Remove spurious print command
  * octave-pkg.mk: Normalize the name of the temporary build  directory.
    This should prevent random variations in the build log, due to the
    call of the tempname function, and hence make reproducible builds by
    avoiding the random_buildpath_by_octave issue.

 -- Rafael Laboissiere <rafael@laboissiere.net>  Tue, 27 Oct 2015 09:47:49 +0100

octave-pkg-dev (1.3.1) unstable; urgency=medium

  * Fix case-sensitive filtering of Octave dependency in DESCRIPTION.
    If in its DESCRIPTION file, a package had a dependency on
    Octave (written with at least an uppercase letter), an incorrect
    octave-Octave was generated in ${octave:Depends}.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 10 Sep 2015 20:28:29 +0200

octave-pkg-dev (1.3.0) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Depend on liboctave-dev >= 4.0.0~rc3
  * octave-pkg.mk: Ensure that all packages are loaded for unit testing
  * octave-pkg.mk: Use the CLI version of the octave command

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 18 Jul 2015 14:45:08 +0200

octave-pkg-dev (1.2.0) experimental; urgency=low

  * octave-pkg.mk:
    + Prevent timestamp in generated doc-cache files.  This ensure
      that doc-cache files are built reproducibly.  Thanks to Chris
      West for the patch (Closes: #778458).
    + Allow exclusion of files from the automatic run of test blocks
  * Bump to Standards-Version 3.9.6, no changes needed

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 15 Feb 2015 19:36:26 -0200

octave-pkg-dev (1.1.3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * octave-pkg.mk: Allow prefix to the Octave command when running the tests.
    There is now a new Makefile variable OCTPKG_TEST_ENV, whose value is
    inserted before the Octave command when tests are launched.  Users can
    set it in debian/rules, in order to add environment variables to the
    Octave process or specify a prefix command (like xvfb-run).

  [ Sébastien Villemot ]
  * Add Rafael Laboissiere and Mike Miller to Uploaders, remove Thomas Weber.

 -- Rafael Laboissiere <rafael@laboissiere.net>  Sun, 31 Aug 2014 17:48:28 -0300

octave-pkg-dev (1.1.2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Pass flags from dpkg-buildflags to mkoctfile.
    Among other consequences, it means that rebuilding octave packages with
    DEB_BUILD_OPTIONS=noopt will work.

  [ Rafael Laboissiere ]
  * Do not exercise the tests in *.m files which are in private directories

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 07 Apr 2014 19:26:58 +0200

octave-pkg-dev (1.1.1) unstable; urgency=medium

  * Upload to unstable.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Feb 2014 23:14:37 +0100

octave-pkg-dev (1.1.0) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Depends on liboctave-dev >= 3.8.0

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 27 Jan 2014 18:23:51 +0100

octave-pkg-dev (1.0.5) unstable; urgency=medium

  [ Sébastien Villemot ]
  * Use canonical URLs for Vcs-* fields
  * make-octave-forge-debpkg: no longer add a DM-Upload-Allowed field

  [ Rafael Laboissiere ]
  * Bump to Standards-Version 3.9.5, no changes needed
  * Cope with release-candidate versions of Octave
  * make-octave-forge-debpkg.in: Fix spelling error in POD section

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 02 Jan 2014 20:11:24 +0100

octave-pkg-dev (1.0.4) unstable; urgency=low

  [ Sébastien Villemot ]
  * README: fix path to CDBS class file

  [ Rafael Laboissiere ]
  * Fix some typos and wording in comments and man page

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 May 2013 14:10:22 +0200

octave-pkg-dev (1.0.3) experimental; urgency=low

  [ Rafael Laboissiere ]
  * octave-pkg.mk: Pass option --no-window-system when calling octave
    (Closes: #681671)
  * octave-pkg.mk: Exclude .pc/ when generating path for *.cc files

  [ Sébastien Villemot ]
  * Use my @debian.org address
  * Remove obsolete DM-Upload-Allowed flag
  * Bump Standards-Version to 3.9.4, no changes needed

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 17 Oct 2012 13:23:30 +0200

octave-pkg-dev (1.0.2) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Add script for automating the generation of packages from Octave-Forge
    sources
  * octave-pkg-helper, octave-pkg.mk: Change licenses to GPLv3

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 08 May 2012 09:55:26 +0200

octave-pkg-dev (1.0.1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Use versioned dependency on octave when replacing ${octave:Depends}
  * Check the current version of Octave against the upstream specification
  * Add the automated dependency on Perl
  * Add a variable for controlling the behaviour of the test command

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Tue, 13 Mar 2012 21:41:06 +0100

octave-pkg-dev (1.0.0) unstable; urgency=low

  [ Rafael Laboissiere ]
  * octave-pkg.mk:
    + Renamed from octave-pkg.mk.in, since we do not change content
      anymore.  The code in debian/rules has been changed accordingly.
    + (check-pkg): Allow class methods to be properly checked

  [ Sébastien Villemot ]
  * Bump the major release number, to reflect the maturity of the package
    and the switch to Octave 3.6.

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Fri, 09 Mar 2012 10:23:02 +0100

octave-pkg-dev (0.7.6) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Drop definition of unused variable

  [ Sébastien Villemot ]
  * debian/copyright: upgrade to machine-readable format 1.0
  * Bump to debhelper compat level 9
  * Bump to Standards-Version 3.9.3, no changes needed
  * Reflect the fact that octave package is now multi-arch

  [ Thomas Weber ]
  * Upload to unstable

 -- Thomas Weber <tweber@debian.org>  Tue, 06 Mar 2012 20:27:06 +0100

octave-pkg-dev (0.7.5) experimental; urgency=low

  * Check that src/ directory exists before searching for .cc files in it.
  * Switch to new directory layout for Octave 3.4 series
  * Bump compat level to 8.
  * Add Sébastien Villemot to Uploaders.
  * Switch from octave3.2-header to liboctave-dev in the dependency list.
  * Move octave-pkg-helper.in to octave-pkg-helper: we do not change any
    content in it with sed anymore.

 -- Thomas Weber <tweber@debian.org>  Sun, 19 Feb 2012 12:12:19 +0100

octave-pkg-dev (0.7.4) unstable; urgency=low

  * Bump Standards-Version to 3.9.1, no changes needed
  * Search for tests in .cc files and execute them.
  * Switch to dpkg-source 3.0 (native) format

 -- Thomas Weber <tweber@debian.org>  Sun, 20 Feb 2011 20:40:18 +0100

octave-pkg-dev (0.7.3) unstable; urgency=low

  * debian/control: Remove Rafael Laboissiere from Uploaders (Closes: #571901)
  * Use --as-needed for linking, reducing the number of really linked
    libraries dramatically.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 22 Mar 2010 22:14:29 +0100

octave-pkg-dev (0.7.2) unstable; urgency=low

  * Upload to unstable. 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 01 Jan 2010 23:59:45 +0100

octave-pkg-dev (0.7.1) experimental; urgency=low

  * octave-pkg.mk.in: 
    + (install-docs) Don't install the content of doc/ automatically anymore
      with dh_installdocs; we have debian/package.docs for that. Reason: 
      there's quite of stuff under doc/ that shouldn't end up in the package
      (like .texi files)

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 15 Jul 2009 22:53:58 +0200

octave-pkg-dev (0.7.0) experimental; urgency=low

  [ Rafael Laboissiere ]
  * Adapt the package for using octave3.2
  * debian/rules, octave-pkg.mk.in, octave-pkg-helper.in: Use separate
    OCTVER for the major version number and MINVER for the minimum
    depending version of Octave
  * octave-pkg.mk.in: Use exist() instead of glob() when building the
    Octave pkg.  The return value of the later (a cell) cannot be
    converted to boolean in Octave 3.2.0.
  * debian/copyright: Put in the DEP5 format

  [ Thomas Weber ]
  * Bump policy to 3.8.2, no changes needed. 

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Fri, 10 Jul 2009 23:13:12 +0200

octave-pkg-dev (0.6.7) unstable; urgency=low

  * octave-pkg.mk.in: Create global and local package list files inside
    the build directory (closes: #528506)
  * debian/control: The Debian packaging files are now maintained through
    a Git repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
    accordingly.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 13 May 2009 15:32:31 +0200

octave-pkg-dev (0.6.6) unstable; urgency=low

  * octave-pkg.mk.in (install-pkg): Adding /usr/share/octave/debian/m to
    the path is not needed anymore
  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + Use viewsn instead of wsvn in Vcs-Browser

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 13 Apr 2009 15:21:46 +0200

octave-pkg-dev (0.6.5) unstable; urgency=low

  * Upload to unstable

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Mar 2009 15:26:32 +0100

octave-pkg-dev (0.6.4) experimental; urgency=low

  * octave-pkg-helper.in: Do not install the individual triggers file for
    the add-on package being built.  The "activate" command contained in
    it is not necessary, the "interest" command contained in the
    octaveX.Y-common package, associated to the fact that a directory is
    installed in /usr/share/octave/packages/X.Y, is sufficient to activate
    the trigger.
  * README: Drop sentence about the triggers file
  * debian/octave-pkg-dev.install: No need to remove the debian/triggers
    file anymore
  * triggers-octpkg, debian/octave-pkg-dev.install: Drop the triggers file

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 12 Feb 2009 07:33:36 +0000

octave-pkg-dev (0.6.3) experimental; urgency=low

  * debian/control: Bump the dependency on octave3.0 to >= 1:3.0.4~rc3-3,
    otherwise the new versioned packages directory will not be effective

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2009 23:55:11 +0100

octave-pkg-dev (0.6.2) experimental; urgency=low

  * octave-pkg.mk.in: Make the installation directories versioned in order
    to avoid conflicts between the different branches (e.g. octave3.0 and
    octave3.1)
  * debian/control: Fix Lintian warning debhelper-but-no-misc-depends

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 11 Feb 2009 12:02:23 +0000

octave-pkg-dev (0.6.1) experimental; urgency=low

  * Drop the octave-pkg-rebuild, since the previous version was rejected
    by the Debian ftp-master due to the presence of this new package.
    Thanks Joerg Jaspert for the suggestion and the discussion, anyway.
  * As a consequence, the triggers functionality will be moved into the
    octave3.* package.  Accordingly, the dependency on octave3.0 is bumped
    to >= 3.0.2-3.

  * pkg.m, cstrcat.m: Drop these Octave scripts, since the ones in Octave
    3.0.1 and later allow installation of Octave packages from an unpacked
    directory.

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Sep 2008 22:49:24 +0200

octave-pkg-dev (0.6.0) experimental; urgency=low

  * Instead of using postinst and postrm scripts for updating the Octave's
    pkg database (via "pkg rebuild"), we use dpkg triggers now.
  * A new binary package is created, called octave-pkg-rebuild, which is
    essentially empty but contains the postinst script and the trigger
    "interest" statement.  The packages providing Octave pkg's will
    activate the trigger.

  * Bump the dependencies on octave3.0 to 3.0.2 or later

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Aug 2008 16:28:39 +0200

octave-pkg-dev (0.5.8) unstable; urgency=low

  [ Ólafur Jens Sigurðsson ]
  * debian/control: Bump Standards-Version to 3.8.0 (no changes needed)

  [ Rafael Laboissiere ]
  * octave-pkg-helper.in, debian/install: Call "pkg rebuild" in the postrm
    script instead of prerm, otherwise Octave thinks the package is always
    there even if purged (bug spotted by Thomas Weber)
  * debian/postrm-octpkg: Renamed from prerm-octpkg

  [ Thomas Weber ]
  * Set OCTAVE_HISTFILE to /dev/null, otherwise Octave creates an empty
    ~/.octave_hist file even when called with --no-history

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Sat, 23 Aug 2008 11:13:27 +0200

octave-pkg-dev (0.5.7) unstable; urgency=low

  [ Thomas Weber ]
  * Remove pkg-config from dependencies (it's added to individual packages)

  [ Rafael Laboissiere ]
  * octave-pkg.mk.in: Do not run the tests if nocheck is present in
    DEB_BUILD_OPTIONS

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 18 May 2008 21:33:51 +0200

octave-pkg-dev (0.5.6) unstable; urgency=low

  * postinst-octpkg, prerm-octpkg, octave-pkg.mk.in: Parse the site-wide
    configuration file, in order to work around #477556.
  * debian/control: bump dependendency on octave3.0-headers and depend on
    pkg-config for packages where configure uses it (octave-symbolic is an
    example of such a package).
  * debian/rules: bump OCTVER to 3.0.1.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 28 Apr 2008 12:26:19 +0200

octave-pkg-dev (0.5.5) unstable; urgency=low

  * prerm-octpkg: Add dash to silence Octave when removing a package.

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Mon, 07 Apr 2008 12:02:23 +0200

octave-pkg-dev (0.5.4) unstable; urgency=low

  * octave-pkg.mk.in:
    + (clean-files) Remove packinfo/ChangeLog and packinfo/COPYING after
       pkg install
    + (install-docs) Install doc/* files using dh_installdocs; also,
      remove the documentation files installed elsewhere

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 05 Apr 2008 17:58:15 +0200

octave-pkg-dev (0.5.3) unstable; urgency=low

  * octave-pkg.mk.in: Restore PKG_ADD file before running pkg install

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 01 Apr 2008 12:23:43 +0200

octave-pkg-dev (0.5.2) unstable; urgency=low

  * octave-pkg.mk.in:
    + Avoid make failures if files PKG_ADD and/or PKG_ADD.bak do not exist
    + Use DEB_MAKE_CLEAN_TARGET as the target of the make clean command
  * README: Document the changes related to the clean rule

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 31 Mar 2008 18:00:11 +0200

octave-pkg-dev (0.5.1) unstable; urgency=low

  [ Thomas Weber ]
  * octave-pkg.mk.in: Use long options when calling Octave

  [ Thomas Weber & Rafael Laboissiere ]
  * octave-pkg.mk.in: Move PKG_ADD out of the way before running Octave
    and restore it after

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 31 Mar 2008 16:11:37 +0200

octave-pkg-dev (0.5) unstable; urgency=low

  * Reorganized the package.
    + Changed names:
      - octave-pkg-dev.mk.in -> octave-pkg.mk.in
      - octave-pkg-dev.pl.in -> octave-pkg-helper.in
      - postinst -> postinst-octpkg
      - prerm -> prerm-octpkg
    + The files are now installed in separated directories, instead of
      everything in /usr/share/octave/debian/
  * pkg.m, cstrcat.m: Added files from Octave's upstream hg repository (it
    will appear in release 3.0.1 of Octave).  This version allows
    installation of Octave packages from an unpacked directory.
  * octave-pkg.mk.in:
    + Install pkg from the current directory, not from the tarball
    + Drop the get-orig-source rule.  Use uscan now to retrieve tarball.
      Note that the .orig.tar.gz tarball is identical to the upstream
      tarball now.
    + Added a clean rule
    + Drop the setting of the DEB_TARBALL variable, which is obsolete now
    + Call dh_install to install extra files needed for the the unit
      testing
  * octave-pkg-helper: Get information directly from file DESCRIPTION,
    no need to unpack the tarball anymore
  * README: Updated to reflect the changes above
  * debian/control: Drop dependency on curl

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 26 Mar 2008 21:25:23 +0100

octave-pkg-dev (0.4) unstable; urgency=low

  * octave-pkg-dev.pl.in: Automatically add dependency relations to other
    octave-forge packages by inspecting the DESCRIPTION file (if present)
  * get-oct-pkg-src.pl: Fix regular expression for find tarballs in the URLs

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 22 Mar 2008 12:58:59 +0100

octave-pkg-dev (0.3.1) unstable; urgency=low

  * octave-pkg-dev.mk.in:
    + Do not echo the echo command
    + Use -verbose with the pkg command

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 22 Mar 2008 09:18:20 +0100

octave-pkg-dev (0.3) unstable; urgency=low

  [ Rafael Laboissiere ]
  * octave-pkg-dev.mk.in:
    + Do not check dependencies when installing the package
    + Remove empty installation directories
    + Run unit test automatically for .m files containing "%!test"
      and/or "%!assert" directives

  [ Thomas Weber ]
  * debian/control: Vcs-fields point to the trunk/ directory

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 20 Mar 2008 10:16:13 +0100

octave-pkg-dev (0.2.1) unstable; urgency=low

  * get-oct-pkg-src.pl:
    + Fix regular expression for extracting the upstream version number
      from debian/changelog
    + Correct logic for testing the output of dpkg --compare-versions

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 08 Mar 2008 19:26:05 +0100

octave-pkg-dev (0.2) unstable; urgency=low

  * octave-pkg-dev.mk.in: Run the unit testing debian/check.m script (if it
    exists) after installation of the package

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Feb 2008 16:31:41 +0100

octave-pkg-dev (0.1) unstable; urgency=low

  * Initial release (closes: #468311)

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 25 Feb 2008 10:11:27 +0100
